Bug 430369 - /sbin/ip change default route problem
/sbin/ip change default route problem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 18:45 EST by denis ivanov
Modified: 2008-03-08 18:21 EST (History)
0 users

See Also:
Fixed In Version: 2.6.25-0.95.rc4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-08 18:21:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description denis ivanov 2008-01-26 18:45:15 EST
Description of problem:

/sbin/ip can't change default route to another device

# ip ro|grep default
default via 192.168.0.1 dev eth1

# ip ro change default via 192.168.0.99 dev eth1
# IT'S OK

# ip ro change default via 192.168.1.1 dev wlan0
RTNETLINK answers: File exists


Version-Release number of selected component (if applicable):

iproute-2.6.23-1.fc9.i386
kernel-2.6.24-2.fc9.i686

  
Additional info:

Kernels up to 2.6.24-rc8 never have this problem and allowed me to change
default route to any dev!
Comment 1 Chuck Ebbert 2008-01-28 20:15:17 EST
Possibly fixed in tonight's 2.6.24-7 kernel. There were some problems with
selinux -- you can test by adding "enforcing=0" to the kernel boot options and
see if that makes it work.
Comment 2 denis ivanov 2008-01-30 17:42:08 EST
Just updated to kernel-2.6.24-9.fc9.i686

Problem is not fixed!

selinux is disabled in /etc/selinux/config

$ selinuxenabled || echo selinux disabled
selinux disabled

Should I try append enforcing=0 to kernel options?
Comment 3 denis ivanov 2008-03-08 18:21:40 EST
seems fixed with fresh 2.6.25-0.95.rc4.fc9

Note You need to log in before you can comment on or make changes to this bug.